| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Image
Image.Image

# Method Image.Image()->change_color()

Method change_color

  `object change_color(int tor, int tog, int tob)`
  `object change_color(int fromr, int fromg, int fromb, int tor, int tog, int tob)`

Description

  Changes one color (exact match) to another. If non-exact-match is preferred, check distancesq and paste_alpha_color .

Parameter `tor`
Parameter `tog`
Parameter `tob`

  destination color and next current color

Parameter `fromr`
Parameter `fromg`
Parameter `fromb`

  source color, default is current color

Returns

  a new (the destination) image object